Bug 176088 - SB Live digital output randomly muted after boot
SB Live digital output randomly muted after boot
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: alsa-utils (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-19 04:21 EST by Attila Balazs
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 08:07:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Balazs 2005-12-19 04:21:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
When the machine boots 8 times of 10 the digital output of the installed SB Live card muted, however by default it should be enabled. The most wierd part of the problem is that it happens regularly but no coincidence observed. Anyway the issue popped up after the upgrade to Update 2.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Boot up the OS
2.The output is muted by default however it was unmuted before shutdown
3.
  

Expected Results:  The volume preference should remember last settings

Additional info:
Comment 1 John (J5) Palmieri 2005-12-19 09:28:11 EST
reassigning to alsa
Comment 2 Martin Stransky 2005-12-20 08:48:03 EST
Could you attach output of lsmod and lspci?
Comment 3 Martin Stransky 2005-12-22 11:12:41 EST
Could you please check this alsa-lib package?

http://people.redhat.com/stransky/alsa-lib-1.0.10-1.FC4.test.src.rpm

You have to recompile it, REMOVE the old one (which comes with FC4 update) and
install it.
Comment 4 Attila Balazs 2006-01-02 04:52:41 EST
Today the bug popped up again here is the output of lsmod>

Module                  Size  Used by
mga                   118725  2
parport_pc             24577  1
lp                     12077  0
parport                37129  2 parport_pc,lp
autofs4                23237  1
i2c_dev                11329  0
i2c_core               22081  1 i2c_dev
nfs                   216773  1
lockd                  64105  2 nfs
sunrpc                159269  4 nfs,lockd
dm_mirror              27825  0
dm_mod                 56661  1 dm_mirror
button                  6481  0
battery                 8901  0
ac                      4805  0
md5                     4033  1
ipv6                  234881  10
uhci_hcd               31065  0
snd_emu10k1            92745  2
snd_rawmidi            26597  1 snd_emu10k1
snd_pcm_oss            49017  0
snd_mixer_oss          17985  2 snd_pcm_oss
snd_pcm                96841  2 snd_emu10k1,snd_pcm_oss
snd_timer              29893  1 snd_pcm
snd_seq_device          8137  2 snd_emu10k1,snd_rawmidi
snd_ac97_codec         63889  1 snd_emu10k1
snd_page_alloc          9673  2 snd_emu10k1,snd_pcm
snd_util_mem            4801  1 snd_emu10k1
snd_hwdep               9925  1 snd_emu10k1
snd                    55461  11
snd_emu10k1,snd_rawmidi,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_seq_device,snd_ac97_codec,snd_hwdep
soundcore               9889  2 snd
3c59x                  39293  0
mii                     4673  1 3c59x
floppy                 58481  0
sr_mod                 17381  0
ext3                  116809  2
jbd                    71385  1 ext3
aic7xxx               147993  3
sd_mod                 17217  4
scsi_mod              121293  3 sr_mod,aic7xxx,sd_mod

here is the output of lspci>
00:00.0 Host bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge
(rev 03)
00:01.0 PCI bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge
(rev 03)
00:07.0 ISA bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 02)
00:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 0a)
00:0a.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 0a)
00:0e.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev 30)
00:10.0 SCSI storage controller: Adaptec AHA-2940U/UW/D / AIC-7881U (rev 01)
01:00.0 VGA compatible controller: Matrox Graphics, Inc. G400/G450 (rev 05)
Comment 5 Martin Stransky 2006-01-08 13:38:37 EST
Here is the page with latest alsa-drivers and some how-to:

http://people.redhat.com/stransky/alsa

It may help...

Note You need to log in before you can comment on or make changes to this bug.